package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 资源位默认配置对象 sys_source_default
 * 
 * @author haotian
 * @date 2025-04-21
 */
public class SysSourceDefault extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 场景ID，关联sys_scenic.scenic_id */
    @Excel(name = "场景ID，关联sys_scenic.scenic_id")
    private Long scenicId;

    /** 资源ID，关联sys_source.source_id */
    @Excel(name = "资源ID，关联sys_source.source_id")
    private Long sourceId;

    /** 默认价格配置 */
    @Excel(name = "默认价格配置")
    private String price;

    /** 默认作品地址 */
    @Excel(name = "默认作品地址")
    private String workAddress;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String part;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setScenicId(Long scenicId) 
    {
        this.scenicId = scenicId;
    }

    public Long getScenicId() 
    {
        return scenicId;
    }
    public void setSourceId(Long sourceId) 
    {
        this.sourceId = sourceId;
    }

    public Long getSourceId() 
    {
        return sourceId;
    }
    public void setPrice(String price) 
    {
        this.price = price;
    }

    public String getPrice() 
    {
        return price;
    }
    public void setWorkAddress(String workAddress) 
    {
        this.workAddress = workAddress;
    }

    public String getWorkAddress() 
    {
        return workAddress;
    }
    public void setPart(String part) 
    {
        this.part = part;
    }

    public String getPart() 
    {
        return part;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("scenicId", getScenicId())
            .append("sourceId", getSourceId())
            .append("price", getPrice())
            .append("workAddress", getWorkAddress())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("part", getPart())
            .toString();
    }
}
